libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_sat_lnb Struct Reference
Satellite Equipment Control

Stores the information of a LNBf. More...

`#include <dvb-sat.h>`

## Data Structures
struct | dvbsat_freqrange

## Data Fields
const char * | name
const char * | alias
unsigned | lowfreq
unsigned | highfreq
unsigned | rangeswitch
struct dvb_sat_lnb::dvbsat_freqrange | freqrange [2]

## Detailed Description

Stores the information of a LNBf.

Parameters

  name | long name of the LNBf type
  alias | short name for the LNBf type

The LNBf (low-noise block downconverter) is a type of amplifier that is installed inside the parabolic dishes. It converts the antenna signal to an Intermediate Frequency. Several Ku-band LNBf have more than one IF. The lower IF is stored at lowfreq, the higher IF at highfreq. The exact setup for those structs actually depend on the model of the LNBf, and its usage.

Definition at line 53 of file dvb-sat.h.

## Field Documentation

## ◆ alias

const char* dvb_sat_lnb::alias

Examples
  dvbv5-scan.c.

Definition at line 55 of file dvb-sat.h.

## ◆ freqrange

struct dvb_sat_lnb::dvbsat_freqrange dvb_sat_lnb::freqrange[2]

## ◆ highfreq

unsigned dvb_sat_lnb::highfreq

Definition at line 61 of file dvb-sat.h.

## ◆ lowfreq

unsigned dvb_sat_lnb::lowfreq

Definition at line 61 of file dvb-sat.h.

## ◆ name

const char* dvb_sat_lnb::name

Definition at line 54 of file dvb-sat.h.

## ◆ rangeswitch

unsigned dvb_sat_lnb::rangeswitch

Definition at line 62 of file dvb-sat.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-sat.h